Monitors
Get monitor details
Retrieve a single monitor's configuration and current status.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
monitorId*string
Format
uuidHeader Parameters
Kausate-Version?string
Default
"2026-08-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/monitors/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Kausate-Version: 2026-08-01"{
"monitorId": "075fef10-8522-4c43-ac39-f1796133943e",
"kausateId": "string",
"companyName": "string",
"sources": [
"string"
],
"categoriesFilter": [
"string"
],
"eventCodesFilter": [
"string"
],
"autoDeactivateCategories": [
"string"
],
"scheduleCron": "string",
"webhookUrl": "string",
"metadata": {},
"isActive": true,
"deactivationReason": "string",
"createdAt": "2019-08-24T14:15:22Z",
"apiUrl": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"temporalScheduleId": "string",
"recentEvents": [
{
"eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
"monitorId": "075fef10-8522-4c43-ac39-f1796133943e",
"kausateId": "string",
"eventCode": "NAME_CHANGED",
"category": "status",
"severity": "info",
"detectedAt": "2019-08-24T14:15:22Z",
"diffPath": "string",
"before": null,
"after": null,
"metadata": {},
"deliveries": [
{
"channel": "string",
"status": "string",
"target": "string",
"lastError": "string",
"deliveredAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z"
}
]
}
]
}{
"detail": "Not authenticated",
"code": "auth.unauthorized",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Invalid API key",
"code": "auth.forbidden",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Company not found",
"code": "company.not_found",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": [
{
"loc": [
"body",
"jurisdictionCode"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "An internal error occurred",
"code": "internal.unexpected",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}Last updated on